Change Your Password
Change the password for the currently authenticated user.
POST
/api/{version}/objects/users/{user_id}/passwordHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{user_id} | The user id field value. You can also use the value me to change your password. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
password__v | Enter the current password. |
new_password__v | Enter the new password. |
Passwords must meet minimum requirements. Learn about Password Requirements
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "password__v=CurrentPassword" \
-d "new_password__v=NewPassword" \
https://myvault.veevavault.com/api/v17.2/objects/users/25496/passwordResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsOn SUCCESS, the password will be changed.